Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:27 2009

## Asterisk developer's documentation

# ast_channel_monitor Struct Reference

`#include <monitor.h>`

Collaboration diagram for ast_channel_monitor:

[legend]

## Data Fields

char | filename_base [FILENAME_MAX]
int | filename_changed
char * | format
int | joinfiles
char | read_filename [FILENAME_MAX]
struct ast_filestream * | read_stream
int(* | stop )(struct ast_channel *chan, int need_lock)
char | write_filename [FILENAME_MAX]
struct ast_filestream * | write_stream

## Detailed Description

Responsible for channel monitoring data

Definition at line 31 of file monitor.h.

## Field Documentation

char filename_base[FILENAME_MAX]

Definition at line 36 of file monitor.h.

Referenced by ast_monitor_change_fname(), ast_monitor_start(), and ast_monitor_stop().

int filename_changed

Definition at line 37 of file monitor.h.

Referenced by ast_monitor_change_fname(), ast_monitor_start(), and ast_monitor_stop().

char* format

Definition at line 38 of file monitor.h.

Referenced by ast_monitor_start(), and ast_monitor_stop().

int joinfiles

Definition at line 39 of file monitor.h.

Referenced by ast_monitor_setjoinfiles(), ast_monitor_stop(), and start_monitor_exec().

char read_filename[FILENAME_MAX]

Definition at line 34 of file monitor.h.

Referenced by ast_monitor_start(), and ast_monitor_stop().

struct ast_filestream* read_stream`[read]`

Definition at line 32 of file monitor.h.

Referenced by ast_monitor_start(), ast_monitor_stop(), and ast_read().

int(* stop)(struct ast_channel *chan, int need_lock)

Referenced by ast_channel_free(), and ast_monitor_start().

char write_filename[FILENAME_MAX]

Definition at line 35 of file monitor.h.

Referenced by ast_monitor_start(), and ast_monitor_stop().

struct ast_filestream* write_stream`[read]`

Definition at line 33 of file monitor.h.

Referenced by ast_monitor_start(), ast_monitor_stop(), and ast_write().

The documentation for this struct was generated from the following file:

- monitor.h